List Subscriptions
curl --request GET \
--url https://api.voiceaiwrapper.app/api/v2/external-billing/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voiceaiwrapper.app/api/v2/external-billing/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voiceaiwrapper.app/api/v2/external-billing/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1",
"client_id": "42",
"client_name": "Acme Corp",
"product_id": "7",
"product_name": "Pro Plan",
"status": "active",
"current_period_start": "2025-01-01T00:00:00",
"current_period_end": "2025-02-01T00:00:00",
"created_at": "2025-01-01T00:00:00",
"updated_at": "2025-01-15T10:00:00"
}
],
"meta": {
"total": 1,
"page": 1,
"page_size": 20
}
}{
"message": "Invalid status 'unknown'.",
"valid_values": [
"active",
"past_due",
"blocked",
"canceled"
]
}{
"message": "Authorization header not found"
}{
"message": "External Billing API access requires a PRO plan. Error Code: external_billing_api"
}{
"message": "Client not found"
}{
"message": "Internal server error"
}Subscriptions
List Subscriptions
Retrieve a paginated list of client subscriptions for your tenant, with optional filters for client and status.
GET
/
api
/
v2
/
external-billing
/
subscriptions
List Subscriptions
This endpoint requires a PRO plan or above. If your plan does not include the External Billing API, the request returns
403 with error code external_billing_api.Combining filters
All query parameters are optional and can be used together or individually:GET /api/v2/external-billing/subscriptions?client_id=<ID>&status=active
GET /api/v2/external-billing/subscriptions?status=past_due
GET /api/v2/external-billing/subscriptions?client_id=<ID>
| Parameter | Optional | Notes |
|---|---|---|
client_id | Yes | Scope to a single client. Omit to return all clients. |
status | Yes | Filter by subscription status. |
page | Yes | Defaults to 1. |
page_size | Yes | Defaults to 20, max 100. |
Subscription statuses
| Status | Meaning |
|---|---|
active | Subscription is running normally. |
past_due | A payment request was not paid by its due date. Client portal and campaigns are blocked. |
blocked | Grace period expired without payment. Subscription must be canceled and restarted. |
canceled | Subscription was explicitly canceled. History is preserved. |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter subscriptions for a specific client. Accepts a plain integer ID or a base64 GraphQL global ID. Omit to return all clients under the tenant.
Example:
"Q2xpZW50OjEyMw=="
Filter by subscription status.
Available options:
active, past_due, blocked, canceled Example:
"active"
Page number. Default: 1.
Example:
1
Results per page. Default: 20. Maximum: 100.
Required range:
x <= 100Example:
20
Was this page helpful?

